PythonSyntaxHighlighter Class Reference

`#include <PythonSyntaxHighlighter.h>`

Inheritance diagram for PythonSyntaxHighlighter:

## Public Member Functions

| PythonSyntaxHighlighter (ScriptEdit *parent)
Public Member Functions inherited from SyntaxHighlighter
| SyntaxHighlighter (ScriptEdit *parent)

## Static Public Member Functions

static QStringList | keywordsList ()

## Protected Member Functions

void | highlightBlock (const QString &text)
Protected Member Functions inherited from SyntaxHighlighter
void | highlightBlock (const QString &text)
| Parentheses matching code taken from Qt Quarterly Issue 31 · Q3 2009. More...

## Private Attributes

QTextCharFormat | classFormat
QTextCharFormat | keywordFormat
QVector< HighlightingRule > | pythonHighlightingRules

## Static Private Attributes

static const QStringList | d_keywords

## Additional Inherited Members

Protected Attributes inherited from SyntaxHighlighter
QTextCharFormat | commentFormat
QTextCharFormat | functionFormat
QVector< HighlightingRule > | highlightingRules
QTextCharFormat | numericFormat
QTextCharFormat | quotationFormat

## Constructor & Destructor Documentation

PythonSyntaxHighlighter::PythonSyntaxHighlighter | ( | ScriptEdit * | parent | ) |

References ScriptingEnv::application(), classFormat, ApplicationWindow::d_class_highlight_color, ApplicationWindow::d_keyword_highlight_color, d_keywords, SyntaxHighlighter::HighlightingRule::format, keywordFormat, SyntaxHighlighter::HighlightingRule::pattern, pythonHighlightingRules, and scripted::scriptingEnv().

## Member Function Documentation

void PythonSyntaxHighlighter::highlightBlock | ( | const QString & | text | ) |

protected

References SyntaxHighlighter::commentFormat, SyntaxHighlighter::HighlightingRule::format, SyntaxHighlighter::highlightBlock(), SyntaxHighlighter::HighlightingRule::pattern, and pythonHighlightingRules.

static QStringList PythonSyntaxHighlighter::keywordsList | ( |  | ) |

inline static

References d_keywords.

Referenced by ApplicationWindow::initCompleter(), and ScriptEdit::insertCompletion().

## Member Data Documentation

QTextCharFormat PythonSyntaxHighlighter::classFormat

private

Referenced by PythonSyntaxHighlighter().

const QStringList PythonSyntaxHighlighter::d_keywords

static private

Initial value:
= QStringList() << "and" << "assert" << "break"
<< "class" << "continue" << "def" << "del"
<< "elif" << "else" << "except" << "exec"
<< "finally" << "for" << "from" << "global"
<< "if" << "import" << "in" << "is"
<< "lambda" << "not" << "or" << "pass"
<< "print" << "raise" << "return" << "try" << "while" << "True" << "False"

Referenced by keywordsList(), and PythonSyntaxHighlighter().

QTextCharFormat PythonSyntaxHighlighter::keywordFormat

private

Referenced by PythonSyntaxHighlighter().

QVector<HighlightingRule> PythonSyntaxHighlighter::pythonHighlightingRules

private

Referenced by highlightBlock(), and PythonSyntaxHighlighter().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/PythonSyntaxHighlighter.h
- qtiplot/src/scripting/PythonSyntaxHighlighter.cpp